> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get git history for a transformation model

> Returns the git commit log for a specific dbt model file.



## OpenAPI

````yaml /api-reference/catalog-api.json get /transformations/{name}/history
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations/{name}/history:
    get:
      tags:
        - transformations
      summary: Get git history for a transformation model
      description: Returns the git commit log for a specific dbt model file.
      operationId: get_model_history_transformations__name__history_get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelHistory:
      properties:
        model:
          type: string
          title: Model
        versions:
          items:
            $ref: '#/components/schemas/VersionEntry'
          type: array
          title: Versions
      type: object
      required:
        - model
        - versions
      title: ModelHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VersionEntry:
      properties:
        version:
          type: integer
          title: Version
        commit:
          type: string
          title: Commit
        author:
          type: string
          title: Author
        date:
          type: string
          title: Date
        message:
          type: string
          title: Message
      type: object
      required:
        - version
        - commit
        - author
        - date
        - message
      title: VersionEntry
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````